## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate quinn-proto

Name:           rust-quinn-proto
Version:        0.11.11
Release:        %autorelease
Summary:        State machine for the QUIC transport protocol

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/quinn-proto
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          quinn-proto-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop WASM-specific wasm-bindgen-test dev-dependency
Patch:          quinn-proto-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
State machine for the QUIC transport protocol.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+arbitrary-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+arbitrary-devel %{_description}

This package contains library source intended for building other packages which
use the "arbitrary" feature of the "%{crate}" crate.

%files       -n %{name}+arbitrary-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+log-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+log-devel %{_description}

This package contains library source intended for building other packages which
use the "log" feature of the "%{crate}" crate.

%files       -n %{name}+log-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+platform-verifier-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+platform-verifier-devel %{_description}

This package contains library source intended for building other packages which
use the "platform-verifier" feature of the "%{crate}" crate.

%files       -n %{name}+platform-verifier-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+ring-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+ring-devel %{_description}

This package contains library source intended for building other packages which
use the "ring" feature of the "%{crate}" crate.

%files       -n %{name}+ring-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustls-devel %{_description}

This package contains library source intended for building other packages which
use the "rustls" feature of the "%{crate}" crate.

%files       -n %{name}+rustls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustls-log-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustls-log-devel %{_description}

This package contains library source intended for building other packages which
use the "rustls-log" feature of the "%{crate}" crate.

%files       -n %{name}+rustls-log-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustls-ring-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustls-ring-devel %{_description}

This package contains library source intended for building other packages which
use the "rustls-ring" feature of the "%{crate}" crate.

%files       -n %{name}+rustls-ring-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * skip one test that does not panic as expected in release mode
%cargo_test -- -- --skip mtu_discovery_with_peer_max_udp_payload_size_after_search_panics
%endif

%changelog
## START: Generated by rpmautospec
* Tue Apr 29 2025 Fabio Valentini <decathorpe@gmail.com> - 0.11.11-1
- Update to version 0.11.11; Fixes RHBZ#2361683

* Sat Mar 22 2025 Fabio Valentini <decathorpe@gmail.com> - 0.11.10-1
- Update to version 0.11.10; Fixes RHBZ#2353151

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jan 03 2025 Fabio Valentini <decathorpe@gmail.com> - 0.11.9-1
- Update to version 0.11.9; Fixes RHBZ#2325889

* Sun Sep 29 2024 Fabio Valentini <decathorpe@gmail.com> - 0.11.8-1
- Update to version 0.11.8; Fixes RHBZ#2279407

* Sun Sep 29 2024 Fabio Valentini <decathorpe@gmail.com> - 0.11.3-1
- Update to version 0.11.3

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Nov 17 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.6-1
- Update to version 0.10.6; Fixes RHBZ#2248491

* Mon Oct 30 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.5-1
- Initial import (#2246722)
## END: Generated by rpmautospec
